/ api / name / gb_auto_creatable
GB_AUTO_CREATABLE
Syntax

    #define GB_AUTO_CREATABLE() ...

Use this macro to indicate that a class can automatically creates an hidden instance when it is used statically.

For example, the Form class uses this feature. If you name your form class `FMyForm`, you can call `FMyForm.Show()` directly. Then, if not already done, an instance of the form is automatically created.

### See also

Class Description